Status: Resolved Priority: Must have
Author: Sebastian Kurfuerst Category: Node handling
Created: 2011-05-17 Assigned To: Sebastian Kurfuerst
Updated: 2011-05-25 Due date:
Subject: ProxyNode should not automatically persist newNode if it has been cloned beforehand.
Description

If one has a $proxyNode, clones it, and changes a property on that node, these changes are automatically persisted. This also
happens if one clones the ProxyNode. In this case, however, it needs to lose its connection with the Persistence Layer (and a call to
Repository::update() is needed again).

Related issues:
related to TYPO3.Neos - Bug # 26849: Saving of Content Elements does not work... Resolved 2011-05-17

Associated revisions
Revision 1c510dfd - 2011-05-23 14:32 - Sebastian Kurfuerst

[BUGFIX] ProxyNode only persists the newNode if it has not been cloned

If the ProxyNode has been cloned, we only add the newNode when calling
NodeRepository::update(ProxyNode), as only then the changes should be
persisted.

Change-Id: I93eaddf0131d1c7ab8ca29108d87976063f0951b
Resolves: #26851

History
#1 - 2011-05-17 11:10 - Sebastian Kurfuerst
- Subject changed from ProxyNode should not automatically persist newNode on creation to ProxyNode should not automatically persist newNode if it 
has been cloned beforehand.

#2 - 2011-05-17 11:12 - Mr. Hudson

Patch set 1 of change I93eaddf0131d1c7ab8ca29108d87976063f0951b has been pushed to the review server.
It is available at http://review.typo3.org/2153

#3 - 2011-05-17 11:12 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review
- % Done changed from 60 to 90

#4 - 2011-05-17 11:13 - Mr. Hudson

Patch set 2 of change I93eaddf0131d1c7ab8ca29108d87976063f0951b has been pushed to the review server.
It is available at http://review.typo3.org/2153

#5 - 2011-05-23 14:35 - Mr. Hudson
Patch set 3 of change I93eaddf0131d1c7ab8ca29108d87976063f0951b has been pushed to the review server.
It is available at http://review.typo3.org/2153

#6 - 2011-05-25 09:05 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:1c510dfd62d201e2bd2c5fdc4d69255040fbcf7a.
